com.genesyslab.wfm8.API.service.calendar810

## Class WaitListIndicators

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar810.WaitListIndicators

- All Implemented Interfaces:
    java.io.Serializable

      public class WaitListIndicators
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `calDateTimeOffIndicatorsNSizeIs` Date Time Off indicators array size
    `protected java.util.List<DateTimeOffIndicators>` | `dateIndicators` Time Off opening indicators for a date
    `protected int` | `gswAgentId` Agent ID
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaitListIndicators()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getCalDateTimeOffIndicatorsNSizeIs()` Gets the calDateTimeOffIndicatorsNSizeIs value for this WaitListIndicators.
    `java.util.List<DateTimeOffIndicators>` | `getDateIndicators()` Gets the dateIndicators value for this WaitListIndicators.
    `int` | `getGswAgentId()` Gets the gswAgentId value for this WaitListIndicators.
    `int` | `hashCode()`
    `void` | `setCalDateTimeOffIndicatorsNSizeIs(int calDateTimeOffIndicatorsNSizeIs)` Sets the calDateTimeOffIndicatorsNSizeIs value for this WaitListIndicators.
    `void` | `setDateIndicators(java.util.List<DateTimeOffIndicators> dateIndicators)` Sets the dateIndicators value for this WaitListIndicators.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this WaitListIndicators.
    `java.lang.String` | `toString()`
    `WaitListIndicators` | `withCalDateTimeOffIndicatorsNSizeIs(int value)`
    `WaitListIndicators` | `withDateIndicators(java.util.Collection<DateTimeOffIndicators> values)`
    `WaitListIndicators` | `withDateIndicators(DateTimeOffIndicators... values)`
    `WaitListIndicators` | `withGswAgentId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAgentId

          protected int gswAgentId

      Agent ID

    - #### calDateTimeOffIndicatorsNSizeIs

          protected int calDateTimeOffIndicatorsNSizeIs

      Date Time Off indicators array size

    - #### dateIndicators

          protected java.util.List<DateTimeOffIndicators> dateIndicators

      Time Off opening indicators for a date

  - ### Constructor Detail

    - #### WaitListIndicators

          public WaitListIndicators()

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this WaitListIndicators.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this WaitListIndicators.
      Parameters:
        `gswAgentId` -

    - #### getCalDateTimeOffIndicatorsNSizeIs

          public int getCalDateTimeOffIndicatorsNSizeIs()

      Gets the calDateTimeOffIndicatorsNSizeIs value for this WaitListIndicators.
      Returns:
        calDateTimeOffIndicatorsNSizeIs

    - #### setCalDateTimeOffIndicatorsNSizeIs

          public void setCalDateTimeOffIndicatorsNSizeIs(int calDateTimeOffIndicatorsNSizeIs)

      Sets the calDateTimeOffIndicatorsNSizeIs value for this WaitListIndicators.
      Parameters:
        `calDateTimeOffIndicatorsNSizeIs` -

    - #### getDateIndicators

          public java.util.List<DateTimeOffIndicators> getDateIndicators()

      Gets the dateIndicators value for this WaitListIndicators.
      Returns:
        dateIndicators

    - #### setDateIndicators

          public void setDateIndicators(java.util.List<DateTimeOffIndicators> dateIndicators)

      Sets the dateIndicators value for this WaitListIndicators.
      Parameters:
        `dateIndicators` -

    - #### withDateIndicators

          public WaitListIndicators withDateIndicators(java.util.Collection<DateTimeOffIndicators> values)

    - #### withDateIndicators

          public WaitListIndicators withDateIndicators(DateTimeOffIndicators... values)

    - #### withCalDateTimeOffIndicatorsNSizeIs

          public WaitListIndicators withCalDateTimeOffIndicatorsNSizeIs(int value)

    - #### withGswAgentId

          public WaitListIndicators withGswAgentId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.